Subject: Re: Change "pull" to _only_ download, and "git update"=pull+merge?

From: David Mansfield <[email-masked]>
Date: Wed, 20 Apr 2005 19:58:58 -0400

Petr Baudis wrote:
> Dear diary, on Wed, Apr 20, 2005 at 10:32:35PM CEST, I got a letter
> where Ingo Molnar <[email-masked]> told me that...
> 
>>* Petr Baudis <[email-masked]> wrote:
>>
>>
>>>>yet another thing: what is the canonical 'pasky way' of simply nuking 
>>>>the current files and checking out the latest tree (according to 
>>>>.git/HEAD). Right now i'm using a script to:
>>>>
>>>>  read-tree $(tree-id $(cat .git/HEAD))
>>>>  checkout-cache -a
>>>>
>>>>(i first do an 'rm -f *' in the working directory)
>>>>
>>>>i guess there's an existing command for this already?
>>>
>>>git cancel
>>
>>hm, that's a pretty unintuitive name though. How about making it 'git 
>>checkout' and providing a 'git checkout -f' option to force the 
>>checkout? (or something like this)
> 
> 
> Since it does not really checkout. Ok, it does, but that's only small
> part of it. It just cancels whatever local changes are you doing in the
> tree and bring it to consistent state. When you have a merge in progress
> and after you see the sheer number of conflicts you decide to get your
> hands off, you type just git cancel. Doing basically anything with your
> tree (not only local changes checkout would fix, but also various git
> operations, including git add/rm and git seek) can be easily fixed by
> git cancel.

How about 'git revert'?

Most editors and word processors use that idiom for revert to saved 
copy, with the obvious parallel here.

David